Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class AbstractButton

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.AbstractButton

Direct Known Subclasses:
  JButton, JMenuItem, JToggleButton

public abstract class AbstractButton
extends JComponent
implements java.awt.ItemSelectable, SwingConstants

Defines the common behaviors for the JButton, JToggleButton, JCheckbox, and the JRadioButton classes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `AbstractButton.AccessibleAbstractButton` Accessiblity support.
`protected class` | `AbstractButton.ButtonChangeListener` Extend ChangeListener to be serializable Warning: Serialized objects of this class will not be compatible with future Swing releases.

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Field Summary
`protected java.awt.event.ActionListener` | `actionListener`
`static java.lang.String` | `BORDER_PAINTED_CHANGED_PROPERTY` Identifies a change to having the border drawn, or having it not drawn.
`protected ChangeEvent` | `changeEvent` Only one ChangeEvent is needed per button instance since the event's only state is the source property.
`protected ChangeListener` | `changeListener` The button's model listeners.
`static java.lang.String` | `CONTENT_AREA_FILLED_CHANGED_PROPERTY` Identifies a change from rollover enabled to disabled or back to enabled.
`static java.lang.String` | `DISABLED_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the button has been disabled.
`static java.lang.String` | `DISABLED_SELECTED_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the button has been disabled and selected.
`static java.lang.String` | `FOCUS_PAINTED_CHANGED_PROPERTY` Identifies a change to having the border highlighted when focused, or not.
`static java.lang.String` | `HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY` Identifies a change in the button's horizontal alignment.
`static java.lang.String` | `HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY` Identifies a change in the button's horizontal text position.
`static java.lang.String` | `ICON_CHANGED_PROPERTY` Identifies a change to the icon that represents the button.
`protected java.awt.event.ItemListener` | `itemListener`
`static java.lang.String` | `MARGIN_CHANGED_PROPERTY` Identifies a change in the button's margins.
`static java.lang.String` | `MNEMONIC_CHANGED_PROPERTY` Identifies a change to the button's mnemonic.
`protected ButtonModel` | `model` The data model that determines the button's state.
`static java.lang.String` | `MODEL_CHANGED_PROPERTY` Identifies a change in the button model.
`static java.lang.String` | `PRESSED_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the button has been pressed.
`static java.lang.String` | `ROLLOVER_ENABLED_CHANGED_PROPERTY` Identifies a change in the button's
`static java.lang.String` | `ROLLOVER_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the cursor is over the button.
`static java.lang.String` | `ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the cursror is over the button and it has been selected.
`static java.lang.String` | `SELECTED_ICON_CHANGED_PROPERTY` Identifies a change to the icon used when the button has been selected.
`static java.lang.String` | `TEXT_CHANGED_PROPERTY` Identifies a change in the button's text.
`static java.lang.String` | `VERTICAL_ALIGNMENT_CHANGED_PROPERTY` Identifies a change in the button's vertical alignment.
`static java.lang.String` | `VERTICAL_TEXT_POSITION_CHANGED_PROPERTY` Identifies a change in the button's vertical text position.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`AbstractButton()`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)` adds an ActionListener to the button
`void` | `addChangeListener(ChangeListener l)` Adds a ChangeListener to the button.
`void` | `addItemListener(java.awt.event.ItemListener l)` adds an ItemListener to the checkbox
`protected int` | `checkHorizontalKey(int key, java.lang.String exception)` Verify that key is a legal value for the horizontalAlignment properties.
`protected int` | `checkVerticalKey(int key, java.lang.String exception)` Ensures that the key is a valid.
`protected java.awt.event.ActionListener` | `createActionListener()`
`protected ChangeListener` | `createChangeListener()` Subclasses that want to handle ChangeEvents differently can override this to return another ChangeListener implementation.
`protected java.awt.event.ItemListener` | `createItemListener()`
`void` | `doClick()` Programatically perform a "click".
`void` | `doClick(int pressTime)` Programatically perform a "click".
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent event)`
`protected void` | `fireItemStateChanged(java.awt.event.ItemEvent event)`
`protected void` | `fireStateChanged()`
`java.lang.String` | `getActionCommand()` Returns the action command for this button.
`Icon` | `getDisabledIcon()` Returns the icon used by the button when it's disabled.
`Icon` | `getDisabledSelectedIcon()` Returns the icon used by the button when it's disabled and selected.
`int` | `getHorizontalAlignment()` Returns the horizontal alignment of the icon and text.
`int` | `getHorizontalTextPosition()` Sets the horizontal position of the text relative to the icon.
`Icon` | `getIcon()` Returns the default icon.
`java.lang.String` | `getLabel()` Deprecated. - Replaced by getText()
`java.awt.Insets` | `getMargin()` Returns the margin between the button's border and the label.
`int` | `getMnemonic()` Get the keyboard mnemonic from the the current model
`ButtonModel` | `getModel()` Get the model that this button represents.
`Icon` | `getPressedIcon()` Returns the pressed icon for the button.
`Icon` | `getRolloverIcon()` Returns the rollover icon for the button.
`Icon` | `getRolloverSelectedIcon()` Returns the rollover seletion icon for the button.
`Icon` | `getSelectedIcon()` Returns the selected icon for the button.
`java.lang.Object[]` | `getSelectedObjects()` Returns an array (length 1) containing the label or null if the button is not selected.
`java.lang.String` | `getText()` Returns the button's text.
`ButtonUI` | `getUI()` Returns the button's current UI.
`int` | `getVerticalAlignment()` Returns the vertical alignment of the text and icon.
`int` | `getVerticalTextPosition()` Returns the vertical position of the text relative to the icon Valid keys: CENTER (the default), TOP, BOTTOM
`protected void` | `init(java.lang.String text, Icon icon)`
`boolean` | `isBorderPainted()` Returns whether the border should be painted.
`boolean` | `isContentAreaFilled()` Checks whether the "content area" of the button should be filled.
`boolean` | `isFocusPainted()` Returns whether focus should be painted.
`boolean` | `isRolloverEnabled()` Checks whether rollover effects are enabled.
`boolean` | `isSelected()` Returns the state of the button.
`protected void` | `paintBorder(java.awt.Graphics g)` Paint the button's border if BorderPainted property is true.
`protected java.lang.String` | `paramString()` Returns a string representation of this AbstractButton.
`void` | `removeActionListener(java.awt.event.ActionListener l)` removes an ActionListener from the button
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener from the button.
`void` | `removeItemListener(java.awt.event.ItemListener l)` removes an ItemListener from the button
`void` | `setActionCommand(java.lang.String actionCommand)` Sets the action command for this button.
`void` | `setBorderPainted(boolean b)` Sets whether the border should be painted.
`void` | `setContentAreaFilled(boolean b)` Sets whether the button should paint the content area or leave it transparent.
`void` | `setDisabledIcon(Icon disabledIcon)` Sets the disabled icon for the button.
`void` | `setDisabledSelectedIcon(Icon disabledSelectedIcon)` Sets the disabled selection icon for the button.
`void` | `setEnabled(boolean b)` Enables (or disables) the button.
`void` | `setFocusPainted(boolean b)` Sets whether focus should be painted.
`void` | `setHorizontalAlignment(int alignment)` Sets the horizontal alignment of the icon and text.
`void` | `setHorizontalTextPosition(int textPosition)` Sets the horizontal position of the text relative to the icon.
`void` | `setIcon(Icon defaultIcon)` Sets the button's default icon.
`void` | `setLabel(java.lang.String label)` Deprecated. - Replaced by setText(text)
`void` | `setMargin(java.awt.Insets m)` Sets space for margin between the button's border and the label.
`void` | `setMnemonic(char mnemonic)` Specifies the mnemonic value.
`void` | `setMnemonic(int mnemonic)` Set the keyboard mnemonic on the current model.
`void` | `setModel(ButtonModel newModel)` Set the model that this button represents.
`void` | `setPressedIcon(Icon pressedIcon)` Sets the pressed icon for the button.
`void` | `setRolloverEnabled(boolean b)` Sets whether rollover effects should be enabled.
`void` | `setRolloverIcon(Icon rolloverIcon)` Sets the rollover icon for the button.
`void` | `setRolloverSelectedIcon(Icon rolloverSelectedIcon)` Sets the rollover selected icon for the button.
`void` | `setSelected(boolean b)` Sets the state of the button.
`void` | `setSelectedIcon(Icon selectedIcon)` Sets the selected icon for the button.
`void` | `setText(java.lang.String text)` Sets the button's text.
`void` | `setUI(ButtonUI ui)` Sets the button's UI.
`void` | `setVerticalAlignment(int alignment)` Sets the vertical alignment of the icon and text.
`void` | `setVerticalTextPosition(int textPosition)` Sets the vertical position of the text relative to the icon.
`void` | `updateUI()` Gets a new UI object from the default UIFactory.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODEL_CHANGED_PROPERTY

    public static final java.lang.String MODEL_CHANGED_PROPERTY

  Identifies a change in the button model.

### TEXT_CHANGED_PROPERTY

    public static final java.lang.String TEXT_CHANGED_PROPERTY

  Identifies a change in the button's text.

### MNEMONIC_CHANGED_PROPERTY

    public static final java.lang.String MNEMONIC_CHANGED_PROPERTY

  Identifies a change to the button's mnemonic.

### MARGIN_CHANGED_PROPERTY

    public static final java.lang.String MARGIN_CHANGED_PROPERTY

  Identifies a change in the button's margins.

### VERTICAL_ALIGNMENT_CHANGED_PROPERTY

    public static final java.lang.String VERTICAL_ALIGNMENT_CHANGED_PROPERTY

  Identifies a change in the button's vertical alignment.

### HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY

    public static final java.lang.String HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY

  Identifies a change in the button's horizontal alignment.

### VERTICAL_TEXT_POSITION_CHANGED_PROPERTY

    public static final java.lang.String VERTICAL_TEXT_POSITION_CHANGED_PROPERTY

  Identifies a change in the button's vertical text position.

### HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY

    public static final java.lang.String HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY

  Identifies a change in the button's horizontal text position.

### BORDER_PAINTED_CHANGED_PROPERTY

    public static final java.lang.String BORDER_PAINTED_CHANGED_PROPERTY

  Identifies a change to having the border drawn, or having it not drawn.

### FOCUS_PAINTED_CHANGED_PROPERTY

    public static final java.lang.String FOCUS_PAINTED_CHANGED_PROPERTY

  Identifies a change to having the border highlighted when focused, or not.

### ROLLOVER_ENABLED_CHANGED_PROPERTY

    public static final java.lang.String ROLLOVER_ENABLED_CHANGED_PROPERTY

  Identifies a change in the button's

### CONTENT_AREA_FILLED_CHANGED_PROPERTY

    public static final java.lang.String CONTENT_AREA_FILLED_CHANGED_PROPERTY

  Identifies a change from rollover enabled to disabled or back to enabled.

### ICON_CHANGED_PROPERTY

    public static final java.lang.String ICON_CHANGED_PROPERTY

  Identifies a change to the icon that represents the button.

### PRESSED_ICON_CHANGED_PROPERTY

    public static final java.lang.String PRESSED_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the button has been pressed.

### SELECTED_ICON_CHANGED_PROPERTY

    public static final java.lang.String SELECTED_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the button has been selected.

### ROLLOVER_ICON_CHANGED_PROPERTY

    public static final java.lang.String ROLLOVER_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the cursor is over the button.

### ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY

    public static final java.lang.String ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the cursror is over the button and it has been selected.

### DISABLED_ICON_CHANGED_PROPERTY

    public static final java.lang.String DISABLED_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the button has been disabled.

### DISABLED_SELECTED_ICON_CHANGED_PROPERTY

    public static final java.lang.String DISABLED_SELECTED_ICON_CHANGED_PROPERTY

  Identifies a change to the icon used when the button has been disabled and selected.

### model

    protected ButtonModel model

  The data model that determines the button's state.

### changeListener

    protected ChangeListener changeListener

  The button's model listeners.

### actionListener

    protected java.awt.event.ActionListener actionListener

### itemListener

    protected java.awt.event.ItemListener itemListener

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one ChangeEvent is needed per button instance since the event's only state is the source property. The source of events generated is always "this".

Constructor Detail

### AbstractButton

    public AbstractButton()

Method Detail

### getText

    public java.lang.String getText()

  Returns the button's text.
  See Also:
    `setText(java.lang.String)`

### setText

    public void setText(java.lang.String text)

  Sets the button's text.
  Parameters:
    `t` - the string used to set the text
  See Also:
    `getText()`

### isSelected

    public boolean isSelected()

  Returns the state of the button. True if the toggle button is selected, false if it's not.

### setSelected

    public void setSelected(boolean b)

  Sets the state of the button. Note that this method does not trigger an actionEvent. Call doClick() to perform a programatic action change.

### doClick

    public void doClick()

  Programatically perform a "click". This does the same thing as if the user had pressed and released the button.

### doClick

    public void doClick(int pressTime)

  Programatically perform a "click". This does the same thing as if the user had pressed and released the button. The button stays visually "pressed" for pressTime milliseconds.

### setMargin

    public void setMargin(java.awt.Insets m)

  Sets space for margin between the button's border and the label. Setting to null will cause the button to use the default margin. The button's default Border object will use this value to create the proper margin. However, if a non-default border is set on the button, it is that Border object's responsibility to create the appropriate margin space (else this property will effectively be ignored).
  Parameters:
    `m` - the space between the border and the label

### getMargin

    public java.awt.Insets getMargin()

  Returns the margin between the button's border and the label.
  See Also:
    `setMargin(java.awt.Insets)`

### getIcon

    public Icon getIcon()

  Returns the default icon.
  See Also:
    `setIcon(javax.swing.Icon)`

### setIcon

    public void setIcon(Icon defaultIcon)

  Sets the button's default icon. This icon is also used as the "pressed" and "disabled" icon if there is no explicitly set pressed icon.
  Parameters:
    `g` - the icon used as the default image
  See Also:
    `getIcon()`, `setPressedIcon(javax.swing.Icon)`

### getPressedIcon

    public Icon getPressedIcon()

  Returns the pressed icon for the button.
  See Also:
    `setPressedIcon(javax.swing.Icon)`

### setPressedIcon

    public void setPressedIcon(Icon pressedIcon)

  Sets the pressed icon for the button.
  Parameters:
    `g` - the icon used as the "pressed" image
  See Also:
    `getPressedIcon()`

### getSelectedIcon

    public Icon getSelectedIcon()

  Returns the selected icon for the button.
  See Also:
    `setSelectedIcon(javax.swing.Icon)`

### setSelectedIcon

    public void setSelectedIcon(Icon selectedIcon)

  Sets the selected icon for the button.
  Parameters:
    `g` - the icon used as the "selected" image
  See Also:
    `getSelectedIcon()`

### getRolloverIcon

    public Icon getRolloverIcon()

  Returns the rollover icon for the button.
  See Also:
    `setRolloverIcon(javax.swing.Icon)`

### setRolloverIcon

    public void setRolloverIcon(Icon rolloverIcon)

  Sets the rollover icon for the button.
  Parameters:
    `g` - the icon used as the "rollover" image
  See Also:
    `getRolloverIcon()`

### getRolloverSelectedIcon

    public Icon getRolloverSelectedIcon()

  Returns the rollover seletion icon for the button.
  See Also:
    `setRolloverSelectedIcon(javax.swing.Icon)`

### setRolloverSelectedIcon

    public void setRolloverSelectedIcon(Icon rolloverSelectedIcon)

  Sets the rollover selected icon for the button.
  Parameters:
    `g` - the icon used as the "selected rollover" image
  See Also:
    `getRolloverSelectedIcon()`

### getDisabledIcon

    public Icon getDisabledIcon()

  Returns the icon used by the button when it's disabled. If not no disabled icon has been set, the button constructs one from the default icon. PENDING(jeff): the disabled icon really should be created (if necesary) by the L&F.
  See Also:
    `getPressedIcon()`, `setDisabledIcon(javax.swing.Icon)`

### setDisabledIcon

    public void setDisabledIcon(Icon disabledIcon)

  Sets the disabled icon for the button.
  Parameters:
    `g` - the icon used as the disabled image
  See Also:
    `getDisabledIcon()`

### getDisabledSelectedIcon

    public Icon getDisabledSelectedIcon()

  Returns the icon used by the button when it's disabled and selected. If not no disabled selection icon has been set, the button constructs one from the selection icon. PENDING(jeff): the disabled selection icon really should be created (if necesary) by the L&F.
  See Also:
    `getPressedIcon()`, `setDisabledIcon(javax.swing.Icon)`

### setDisabledSelectedIcon

    public void setDisabledSelectedIcon(Icon disabledSelectedIcon)

  Sets the disabled selection icon for the button.
  Parameters:
    `g` - the icon used as the disabled selection image
  See Also:
    `getDisabledSelectedIcon()`

### getVerticalAlignment

    public int getVerticalAlignment()

  Returns the vertical alignment of the text and icon. Valid keys: CENTER (the default), TOP, BOTTOM

### setVerticalAlignment

    public void setVerticalAlignment(int alignment)

  Sets the vertical alignment of the icon and text. Valid keys: CENTER (the default), TOP, BOTTOM

### getHorizontalAlignment

    public int getHorizontalAlignment()

  Returns the horizontal alignment of the icon and text. Valid keys: CENTER (the default), LEFT, RIGHT

### setHorizontalAlignment

    public void setHorizontalAlignment(int alignment)

  Sets the horizontal alignment of the icon and text. Valid keys: CENTER (the default), LEFT, RIGHT, LEADING or TRAILING

### getVerticalTextPosition

    public int getVerticalTextPosition()

  Returns the vertical position of the text relative to the icon Valid keys: CENTER (the default), TOP, BOTTOM

### setVerticalTextPosition

    public void setVerticalTextPosition(int textPosition)

  Sets the vertical position of the text relative to the icon. Valid keys: CENTER (the default), TOP, BOTTOM

### getHorizontalTextPosition

    public int getHorizontalTextPosition()

  Sets the horizontal position of the text relative to the icon. Valid keys: RIGHT (the default), LEFT, CENTER

### setHorizontalTextPosition

    public void setHorizontalTextPosition(int textPosition)

  Sets the horizontal position of the text relative to the icon. Valid keys: RIGHT (the default), LEFT, CENTER, LEADING, TRAILING
  Throws:
    java.lang.IllegalArgumentException -

### checkHorizontalKey

    protected int checkHorizontalKey(int key,
                                     java.lang.String exception)

  Verify that key is a legal value for the horizontalAlignment properties.
  Parameters:
    `key` - the property value to check
    `exception` - the IllegalArgumentException detail message
  Throws:
    java.lang.IllegalArgumentException - if key isn't LEFT, CENTER, RIGHT, LEADING or TRAILING.
  See Also:
    `setHorizontalTextPosition(int)`, `setHorizontalAlignment(int)`

### checkVerticalKey

    protected int checkVerticalKey(int key,
                                   java.lang.String exception)

  Ensures that the key is a valid. Throws an IllegalArgument exception exception otherwise.

### setActionCommand

    public void setActionCommand(java.lang.String actionCommand)

  Sets the action command for this button.

### getActionCommand

    public java.lang.String getActionCommand()

  Returns the action command for this button.

### isBorderPainted

    public boolean isBorderPainted()

  Returns whether the border should be painted.
  See Also:
    `setBorderPainted(boolean)`

### setBorderPainted

    public void setBorderPainted(boolean b)

  Sets whether the border should be painted.
  Parameters:
    `b` - if true and border property is not null, the border is painted.
  See Also:
    `isBorderPainted()`

### paintBorder

    protected void paintBorder(java.awt.Graphics g)

  Paint the button's border if BorderPainted property is true.
  Overrides:
    paintBorder in class JComponent
  See Also:
    `JComponent.paint(java.awt.Graphics)`, `JComponent.setBorder(javax.swing.border.Border)`

### isFocusPainted

    public boolean isFocusPainted()

  Returns whether focus should be painted.
  See Also:
    `setFocusPainted(boolean)`

### setFocusPainted

    public void setFocusPainted(boolean b)

  Sets whether focus should be painted.
  Parameters:
    `b` - if true, the focus state is painted.
  See Also:
    `isFocusPainted()`

### isContentAreaFilled

    public boolean isContentAreaFilled()

  Checks whether the "content area" of the button should be filled.
  See Also:
    `setFocusPainted(boolean)`

### setContentAreaFilled

    public void setContentAreaFilled(boolean b)

  Sets whether the button should paint the content area or leave it transparent. If you wish to have a transparent button, for example and icon only button, then you should set this to false. Do not call setOpaque(false). Whether the button follows the RepaintManager's concept of opacity is L&F depandant. This function may cause the component's opaque property to change. The exact behavior of calling this function varies on a component-by-component and L&F-by-L&F basis.
  Parameters:
    `b` - if true, rollover effects should be painted.
  See Also:
    `isContentAreaFilled()`, `JComponent.setOpaque(boolean)`

### isRolloverEnabled

    public boolean isRolloverEnabled()

  Checks whether rollover effects are enabled.
  See Also:
    `setFocusPainted(boolean)`

### setRolloverEnabled

    public void setRolloverEnabled(boolean b)

  Sets whether rollover effects should be enabled.
  Parameters:
    `b` - if true, rollover effects should be painted.
  See Also:
    `isRolloverEnabled()`

### getMnemonic

    public int getMnemonic()

  Get the keyboard mnemonic from the the current model

### setMnemonic

    public void setMnemonic(int mnemonic)

  Set the keyboard mnemonic on the current model.
  Parameters:
    `mnemonic` - the key code which represents the mnemonic

### setMnemonic

    public void setMnemonic(char mnemonic)

  Specifies the mnemonic value.
  Parameters:
    `mnemonic` - a char specifying the mnemonic value

### getModel

    public ButtonModel getModel()

  Get the model that this button represents.
  See Also:
    `setModel(javax.swing.ButtonModel)`

### setModel

    public void setModel(ButtonModel newModel)

  Set the model that this button represents.
  Parameters:
    `m` - the Model
  See Also:
    `getModel()`

### getUI

    public ButtonUI getUI()

  Returns the button's current UI.
  See Also:
    `setUI(javax.swing.plaf.ButtonUI)`

### setUI

    public void setUI(ButtonUI ui)

  Sets the button's UI.
  Parameters:
    `ui` - the new ButtonUI
  See Also:
    `getUI()`

### updateUI

    public void updateUI()

  Gets a new UI object from the default UIFactory. Subtypes of AbstractButton should override this to update the UI. For example, JButton might do the following: setUI((ButtonUI)UIManager.getUI( "ButtonUI", "javax.swing.plaf.basic.BasicButtonUI", this));
  Overrides:
    updateUI in class JComponent

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a ChangeListener to the button.

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a ChangeListener from the button.

### fireStateChanged

    protected void fireStateChanged()

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  adds an ActionListener to the button

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  removes an ActionListener from the button

### createChangeListener

    protected ChangeListener createChangeListener()

  Subclasses that want to handle ChangeEvents differently can override this to return another ChangeListener implementation.

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent event)

### fireItemStateChanged

    protected void fireItemStateChanged(java.awt.event.ItemEvent event)

### createActionListener

    protected java.awt.event.ActionListener createActionListener()

### createItemListener

    protected java.awt.event.ItemListener createItemListener()

### setEnabled

    public void setEnabled(boolean b)

  Enables (or disables) the button.
  Overrides:
    setEnabled in class JComponent

### getLabel

    public java.lang.String getLabel()

  Deprecated. - Replaced by getText()
  Returns the label text.
  Returns:
    a String containing the label

### setLabel

    public void setLabel(java.lang.String label)

  Deprecated. - Replaced by setText(text)
  Sets the label text.
  Parameters:
    `label` - a String containing the text

### addItemListener

    public void addItemListener(java.awt.event.ItemListener l)

  adds an ItemListener to the checkbox
  Specified by:
    addItemListener in interface java.awt.ItemSelectable

### removeItemListener

    public void removeItemListener(java.awt.event.ItemListener l)

  removes an ItemListener from the button
  Specified by:
    removeItemListener in interface java.awt.ItemSelectable

### getSelectedObjects

    public java.lang.Object[] getSelectedObjects()

  Returns an array (length 1) containing the label or null if the button is not selected.
  Specified by:
    getSelectedObjects in interface java.awt.ItemSelectable
  Returns:
    an array containing 1 Object -- the text of the button -- if the item is selected, otherwise null

### init

    protected void init(java.lang.String text,
                        Icon icon)

### paramString

    protected java.lang.String paramString()

  Returns a string representation of this AbstractButton. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overriding paramString() to provide information about the specific new aspects of the JFC components.

  Returns:
    a string representation of this AbstractButton.
  Overrides:
    paramString in class JComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.